> For the complete documentation index, see [llms.txt](https://docs.alkemi.network/earn-contracts/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alkemi.network/earn-contracts/docs/alkemiweth.md).

# AlkemiWETH.sol

View Source: [contracts/AlkemiWETH.sol](https://github.com/AlkemiNetwork/alkemi-earn-contracts/tree/ae6d5c01ff8b3810c4005457ac7ce441ab1c7ec5/contracts/AlkemiWETH.sol)

### Contract Members

**Constants & Variables**

```javascript
string public name;
string public symbol;
uint8 public decimals;
mapping(address => uint256) public balanceOf;
mapping(address => mapping(address => uint256)) public allowance;
```

**Events**

```javascript
event Approval(address indexed src, address indexed guy, uint256  wad);
event Transfer(address indexed src, address indexed dst, uint256  wad);
event Deposit(address indexed dst, uint256  wad);
event Withdrawal(address indexed src, uint256  wad);
```

### Functions

* ()
* deposit()
* withdraw(address user, uint256 wad)
* totalSupply()
* approve(address guy, uint256 wad)
* transfer(address dst, uint256 wad)
* transferFrom(address src, address dst, uint256 wad)

####

```javascript
function () public payable
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

#### deposit

```javascript
function deposit() public payable
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

#### withdraw

```javascript
function withdraw(address user, uint256 wad) public nonpayable
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| user | address |             |
| wad  | uint256 |             |

#### totalSupply

```javascript
function totalSupply() public view
returns(uint256)
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

#### approve

```javascript
function approve(address guy, uint256 wad) public nonpayable
returns(bool)
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| guy  | address |             |
| wad  | uint256 |             |

#### transfer

```javascript
function transfer(address dst, uint256 wad) public nonpayable
returns(bool)
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| dst  | address |             |
| wad  | uint256 |             |

#### transferFrom

```javascript
function transferFrom(address src, address dst, uint256 wad) public nonpayable
returns(bool)
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| src  | address |             |
| dst  | address |             |
| wad  | uint256 |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alkemi.network/earn-contracts/docs/alkemiweth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
